%define version 0.93.4
# stability: 'stable' or 'unstable'
%define stability unstable
%define prefix /usr

Summary: Blade's MP3 Encoder
Name: BladeEnc
Version: %{version}
Release: 1_%{stability}
Copyright: LGPL
Group: Applications/Sound
Vendor: Tord Jansson <tord.jansson@swipnet.se>
Url: http://bladeenc.mp3.no/

Source0: bladeenc-%{version}-src-%{stability}-2.tar.bz2
BuildRoot: /var/tmp/be-root
%define builddir bladeenc-%{version}

%description
A free cross-platform MP3 encoder based on the ISO ref code.

%prep
%setup -n %builddir

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=%{prefix} \
	--target=%{_target_cpu}-%{_vendor}-%{_target_os}
make

%install
make prefix=$RPM_BUILD_ROOT%{prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{prefix}/bin/bladeenc
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%doc bladeenc/docs/en/*.html

%changelog
* Wed Apr  5 2000 Peter Hanecak <hanecak@megaloman.sk>
- updated to 0.93.4-unstable

* Fri Feb 25 2000 Peter Hanecak <hanecak@megaloman.sk>
- updated to 0.92.0-stable
- URL
- updated %files section (more documentation)

* Tue Jan  4 2000 Peter Hanecak <hanecak@megaloman.sk>
- updated to 0.91.0-stable

* Tue Dec 14 1999 Peter Hanecak <hanecak@megaloman.sk>
- updated to 0.90.0-stable

* Wed Dec  8 1999 Peter Hanecak <hanecak@megaloman.sk>
- updated to 0.89.0-stable

* Wed Nov 24 1999 Peter Hanecak <hanecak@megaloman.sk>
- updated to 0.87.4-unstable
- updated URL
- changed source archive to .bz2
- changed description and copyright (bladeenc.lsm)
- %build and %install changed to match new build process

* Wed Aug 18 1999 Peter Hanecak <hanecak@megaloman.sk>
- updated to 082-stable

* Wed Aug 18 1999 Peter Hanecak <hanecak@megaloman.sk>
- updated to 081-stable
- first source based release

* Fri May 28 1999 Peter Hanecak <hanecak@megaloman.sk>
- 'Url' added

* Mon Apr 26 1999 Peter Hanecak <hanecak@megaloman.sk>
- initial spec
